Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class binaryEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.binaryEditor

    public class binaryEditor

extends FieldEditor

Field Summary
`(package private) static String[]` | `params`
`(package private) static String[][]` | `paramValues`

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, suffixName`

Method Summary
`static String` | `fileInput(RecordFormatter rf, int fieldIndex, Dictionary<String,Object> formatParams)`
`String` | `format(RecordFormatter rf, int fieldIndex, Object o, Dictionary<String,Object> formatParams)` Format the object to pure text.
`String` | `formatNotNull(RecordFormatter rf, int fieldIndex, Object o, Dictionary<String,Object> formatParams)` Formats the not-null-object to pure text.
`String` | `formatNull(RecordFormatter rf, int fieldIndex, Dictionary<String,Object> formatParams)` Format the null-object to pure text.
`String[]` | `getAcceptedParams()`
`String[][]` | `getAcceptedValue()`
`static FieldFormatter` | `getInstance()`

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, formatHidden, formatHiddenValue, formatShow, formatValue, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, readFrom, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    static String[] params

### paramValues

    static String[][] paramValues

Method Detail

### getAcceptedParams

    public String[] getAcceptedParams()

  Overrides:
    `getAcceptedParams` in class `FieldEditor`

### getAcceptedValue

    public String[][] getAcceptedValue()

  Overrides:
    `getAcceptedValue` in class `FieldEditor`

### getInstance

    public static FieldFormatter getInstance()

### format

    public String format(RecordFormatter rf,
                         int fieldIndex,
                         Object o,
                         Dictionary<String,Object> formatParams)

  Description copied from class: `FieldFormatter`
  Format the object to pure text. If text-format is blank, try the "empty" replacer value.

  Overrides:
    `format` in class `FieldEditor`
  Parameters:
    `rf` - TODO
    `fieldIndex` - TODO

### formatNull

    public String formatNull(RecordFormatter rf,
                             int fieldIndex,
                             Dictionary<String,Object> formatParams)

  Description copied from class: `FieldFormatter`
  Format the null-object to pure text. Try the "default" format parameter.

  Overrides:
    `formatNull` in class `FieldFormatter`
  Parameters:
    `rf` - TODO
    `fieldIndex` - TODO

### formatNotNull

    public String formatNotNull(RecordFormatter rf,
                                int fieldIndex,
                                Object o,
                                Dictionary<String,Object> formatParams)

  Description copied from class: `FieldFormatter`
  Formats the not-null-object to pure text. To be over-ridden by subclasses.

  Overrides:
    `formatNotNull` in class `FieldFormatter`

### fileInput

    public static String fileInput(RecordFormatter rf,
                                   int fieldIndex,
                                   Dictionary<String,Object> formatParams)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20